<xsl:stylesheet   xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  version='1.0'>

  <xsl:template match='/katalog'>
    <html>
    <head>
      <title><xsl:value-of select="@sekce" /></title>
    </head>
    <body>
      <xsl:apply-templates select="polozka" />
    </body>
    </html>
  </xsl:template>

  <xsl:template match='polozka'>
    <h3><xsl:value-of select="@nazev" /></h3>
    <ul>
      <xsl:apply-templates select="varianta/@barva" />
      <xsl:apply-templates select="varianta/@typ" />
    </ul>
  </xsl:template>

  <xsl:template match='@barva | @typ'>
    <li><xsl:value-of select="." /></li>
  </xsl:template>

</xsl:stylesheet>